*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root{
    --bgcolor1:#210F04;
    --bgcolor2:#DEB841;
    --bgcolor3:#DE9E36;
    --btn-color:#DABFFF;
}

body{
    padding: 2rem;
    min-width: 100vw;
    max-width: 100%;
    min-height: 100vh;
    max-height: 100%;
    background: linear-gradient(to top right,var(--bgcolor1),var(--bgcolor3),var(--bgcolor2));
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 2rem;
}

.heading{
    width: max-content;
    height: max-content;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 2rem;
    background-color: rgb(0,0,0,0.2);
    padding: 1rem 1.5rem 1rem 1.5rem;
    border-radius: 2rem;
    box-shadow: 0.4rem 0.8rem 1.2rem 0.5rem rgba(0, 0, 0, 0.25);
}

.heading p{
    font-size: 3rem;
    color: white;
    font-weight: bold;
}

.dictionary-icon{
    width: 4rem;
    height: 4rem;
    background-image: url(../images/encyclopedia-svgrepo-com.svg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    mix-blend-mode: lighten;
    filter: invert(1);
}

#dictionary-menu{
    width: max-content;
    max-width: 100%;
    height: max-content;
    background-color: white;
    padding: 1rem 1.5rem 1rem 1.5rem;
    border-radius: 2rem;
    box-shadow: 0.4rem 0.8rem 1.2rem 0.5rem rgba(0, 0, 0, 0.25);
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-direction: column;
    gap: 1rem;
}

.subheading{
    font-size: 1.2rem;
}

.dictionary{
    width: 100%;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 1rem;
}

.dictionary input{
    width: 90%;
    padding: 0.5rem;
    height: 3rem;
    border-radius: 2rem;
    border: 0.1rem black solid;
    font-size: 1rem;
    padding-left: 1rem;
}

.dictionary button{
    border-radius: 50%;
    font-size: 1.2rem;
    padding: 1.5rem;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 2.5rem;
    height: 2.5rem;
    background-color: var(--btn-color);
    border: none;
    transition: all 0.3s ease-in-out;
    box-shadow: 0.4rem 0.8rem 1.2rem 0.5rem rgba(0, 0, 0, 0.25);
    cursor: pointer;
}

#search:hover{
    background-color: #B7245C;
    color: white;
    font-weight: bold;
}

#phonetics{
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-direction: column;
    gap: 1rem;
    height: max-content;
    width: max-content;
    align-self: flex-start;
}

#meanings{
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-direction: column;
    gap: 1rem;
    height: max-content;
    align-self: flex-start;
    width: 100% !important; 
}

#info{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 1rem;
    width: 100%;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

#phonetic-heading,#meaning-heading{
    font-size: 1.6rem;
    font-weight: bold;
}

#phonetic-box{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    gap: 1rem;
    width: max-content;
}

.meaning-box{
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-direction: column;
    gap: 1rem;
    width: 100%;
}

.meaning-pop, #phonetic-text, .box-heading{
    font-size: 1.4rem;
    font-style: italic;
    font-weight: 500;
}

.def-example{
    width: 100%;
    padding: 0.2rem;
    background-color: yellow;
    display: flex;
}

.def-text, .box-text{
    font-size: 1.2rem;
}

#phonetic-audio{
    padding: 0.5rem;
    font-size: 1.2rem;
    border: none;
    background-color: white;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
}

.definition-box{
    width: 100%;
}